'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (action, template) {
    var args = action.outputs ? ['input', 'state', 'output'] : ['input', 'state'];
    var outputs = action.outputs ? action.identifier + '.outputs = [\'' + action.outputs.join('\', \'') + '\'];\n' : '';
    var async = action.async ? action.identifier + '.async = true;\n' : '';

    var content = template.replace(/\{IDENTIFIER\}/g, action.identifier).replace(/\{ARGUMENTS\}/g, args.join(', ')).replace(/\{OUTPUTS\}/g, outputs).replace(/\{ASYNC\}/g, async);

    return content;
};