'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (fac, template) {
    var args = fac.outputs ? ['input', 'state', 'output'] : ['input', 'state'];
    var outputs = fac.outputs ? '  ' + fac.identifier + '.outputs = [\'' + fac.outputs.join('\', \'') + '\'];\n' : '';
    var async = fac.async ? '  ' + fac.identifier + '.async = true;\n' : '';
    var factoryArgs = fac.argumentCount ? new Array(fac.argumentCount).join(',').split(',').map(function (item, i) {
        return 'arg' + (i + 1);
    }) : [];

    var content = template.replace(/\{IDENTIFIER\}/g, fac.identifier).replace(/\{FACTORYARGUMENTS\}/g, factoryArgs.join(', ')).replace(/\{ARGUMENTS\}/g, args.join(', ')).replace(/\{OUTPUTS\}/g, outputs).replace(/\{ASYNC\}/g, async);

    return content;
};